summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-08-02 17:20:39 +0000
committerJim Meyering <jim@meyering.net>1997-08-02 17:20:39 +0000
commitb8f7d0087d8b5380e81ad60741b4402ae7f9341f (patch)
tree632f6f07964d71f0fb6017afdf12e8eb34dd8996 /tests
parent70611589b3d77d7184bb448620820121c95257bd (diff)
downloadcoreutils-b8f7d0087d8b5380e81ad60741b4402ae7f9341f.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/rm/deep-115
1 files changed, 9 insertions, 6 deletions
diff --git a/tests/rm/deep-1 b/tests/rm/deep-1
index 84d4ad692..171c567ba 100755
--- a/tests/rm/deep-1
+++ b/tests/rm/deep-1
@@ -7,7 +7,8 @@
test=deep-1
-: ${TMPDIR=.}
+# Don't require use of TMPDIR.
+: ${RM_TMPDIR=.}
if test "$VERBOSE" = yes; then
set -x
@@ -18,20 +19,22 @@ umask 022
fail=0
-tmp=$TMPDIR/t-rm.$$
+tmp=$RM_TMPDIR/t-rm.$$
k20=/k/k/k/k/k/k/k/k/k/k/k/k/k/k/k/k/k/k/k/k
k200=$k20$k20$k20$k20$k20$k20$k20$k20$k20$k20
-k400=$k200$k200
+k_deep=$k200$k200
-# Create a directory in $tmp with 400 `k' components.
-deep=$tmp/$k400
+# Create a directory in $tmp with lots of `k' components.
+deep=$tmp$k_deep
$MKDIR -p $deep || fail=1
+find $tmp > k
+
# Make sure the deep dir was created.
test -d $deep || fail=1
-$RM -r $tmp > $tmp/$test.O || fail=1
+$RM -r $tmp || fail=1
# Make sure it was deleted.
test -d $deep && fail=1